Debian-facile

Bienvenue sur Debian-Facile, site d'aide pour les nouveaux utilisateurs de Debian.

Vous n'êtes pas identifié(e).


L'icône rouge permet de télécharger chaque page du wiki visitée au format PDF et la grise au format ODT → ODT PDF Export

Matériel nécessitant un paquet privateur

Est-ce que vous avez besoin de suivre ce tuto ?

Si votre matériel fonctionne à votre convenance sans paquet privateur, vous pouvez arrêter ici.

Si vous avez des problème avec un des composants de votre PC pour utiliser une fonctionnalité, de performance, ou de stabilité, ce tutoriel est fait pour vous.

Moins vous installerez de paquets propriétaires sur votre système, plus vous pourrez lui faire confiance. Dans certains cas, on peut même contourner le problème en changeant le matériel en question (par exemple contourner le problème d'une wifi intégré en utilisant un dongle usb wifi fonctionnant en logiciel libre). Cela dit ce n'est pas toujours possible, et c'est l'objet de ce tutoriel.

Activez les paquets privateurs

Pour installer des paquets privateurs il faut “les activer” pour votre système, mais ils le sont peut-être déjà.

Pour le savoir, ouvrez le fichier /etc/apt/sources.list et verifiez la présence d'une ligne ressemblant à

  deb http://deb.debian.org/debian buster main contrib non-free

La partie de fin de ligne précédant “main” est celle qui active les dépôts privateurs “contrib non-free”. Si ces deux termes n'étaient pas présent, vous pouvez modifier la ligne en question - suivi de la commande de mise à jour des dépôts pour que la modification soit prise en compte :

apt update

Avec ça, vous êtes fins prêt à installer des paquets privateurs…

Identifier le matériel posant problème

Carte réseau (filaire)

Symptôme classique : quand vous reliez votre “fil internet” (RJ45) au PC, rien ne se passe.

lspci -d::0200

Carte wifi

Symptôme classique : vous ne voyez pas les réseaux Wifi

lspci -d::0280

Carte graphique

Symptôme classique : pas d'affichage graphique, processeur à 100% tout le temps, impossible de lire des vidéos, d'afficher des animations 3D… Dans le cas de certaines cartes graphiques intégrées, vous devrez aussi installer le paquet privateur associé au processeur.

lspci -d::0300

Processeur

Symptôme classique : instabilité, crash d'applications

lspci -d::0600

A partir de ce moment vous aurez (par exemple) une sortie de ce type :

03:00.0 VGA compatible controller [0300]: Advanced Micro Devices, Inc. [AMD/ATI] Picasso [1002:15d8] (rev c5)
Subsystem: Hewlett-Packard Company Picasso [103c:85e0]

Dans cet exemple j'identifie que ma carte graphique est “Picasso”.

Identifier le paquet privateur correspondant

Nous allons donc poursuivre avec l'exemple en nous posant la question : quel paquet pour ma carte graphique AMD/ATI Picasso ?

apt search Picasso
firmware-amd-graphics/now 20190114-2 all 
Binary firmware for AMD/ATI graphics chips

Dans ce cas j'ai de la chance y a qu'un seul choix : le paquet firmware-amd-graphics il y a de fortes chances que ce soit le bon car le résumé du paquet dit “Firmware pour carte graphique AMD/ATI”, je pourrai regarder plus de détail en utilisant la commande “apt show firmware-amd-graphics” pour être bien certain que c'est le paquet que je cherche.

Dans le cas des paquet privateur pour processeur, c'est le plus simple : il n'en existe que deux.

Pour les processeurs AMD amd64-microcode pour les processeurs intel intel-microcode, tout simplement

Bref ! On a donc identifié le pilote à installer - installons-le maintenant !

Installation & test

apt install firmware-amd-graphics

…Et redémarrons. L'installation de pilote est une des rares activité qui exigent de redémarrer pour en avoir les effet sous GNU/Linux.

Exemples

Problème carte graphique

J'ai une “mauvaise résolution” (800*600) sur un écran HD : c'est le symptôme typique d'un problème de carte graphique. Je vais donc essayer de l'identifier.

lspci -d::0300
  00:01.0 VGA compatible controller: Advanced Micro Devices, Inc. [AMD/ATI] Wrestler [Radeon HD 6250]

Je constate que j'ai une carte Radeon HD 6250, de son petit nom de code Wrestler.

apt search Radeon HD
firmware-amd-graphics/now 20190114-2 all
Dans ce cas, chercher avec “Wrestler” ou avec les références exacte “Radeon HD 6250” ne retournait aucun résultat avec “apt search” ; en ce cas je vais avec la dénomination la plus générique possible en ne prenant que la partie “Radeon HD”.
apt install firmware-amd-graphics

Je redémarre, et le problème de résolution est résolu.


Autre exemple avec le même problème de “résolution d'affichage à l'écran” :

lspci -d::0300
 01:00.0 VGA compatible controller [0300]: Advanced Micro Devices, Inc. [AMD/ATI] Cedar [Radeon HD 5000/6000/7350/8350 Series]

Je constate que j'ai une carte Radeon HD, de son petit nom de code Cedar. Or on sait quel paquet installer pour la séries des “Radeon HD” dans l'exemple précédent !

Autres installations non-free

doc/materiel/pilotes-privateurs.txt · Dernière modification: 08/02/2020 18:27 par otyugh

Pied de page des forums

Propulsé par FluxBB